Package logilab :: Package common :: Module optik_ext :: Class Option

[frames] | no frames]

# Class Option

source code

    optparse.Option --+
                      |
                     Option

    override optik.Option to add some new option types

Instance Methods

__init__(self, *opts, **attrs) | source code

process(self, opt, value, values, parser) | source code

Inherited from `optparse.Option`: `__repr__`, `__str__`, `check_value`, `convert_value`, `get_opt_string`, `take_action`, `takes_value`

Class Variables
| TYPES = `BaseOption.TYPES+('regexp', 'csv', 'yn', 'named', 'pas`...``
| ATTRS = `BaseOption.ATTRS+ ['hide', 'level']`
| TYPE_CHECKER = `copy(BaseOption.TYPE_CHECKER)`
Inherited from `optparse.Option`: `ACTIONS`, `ALWAYS_TYPED_ACTIONS`, `CHECK_METHODS`, `CONST_ACTIONS`, `STORE_ACTIONS`, `TYPED_ACTIONS`

Method Details

### __init__(self, *opts, **attrs)
(Constructor)

source code

Overrides: optparse.Option.__init__

### process(self, opt, value, values, parser)

source code

Overrides: optparse.Option.process

Class Variable Details

### TYPES

Value:

      BaseOption.TYPES+('regexp', 'csv', 'yn', 'named', 'password', 'multipl
      e_choice', 'file', 'color', 'time', 'bytes')